Summary: 	Extra gtk-2/3 themes for gtk based desktops
Name: 		mate-themes-extras
Version: 	1.6.4
Release: 	1%{?dist}

# upstream is located at github, but links from tag releases doesn't match copied link in
# web-browser, in result fedora-rewiew-tool will fail.
# so i decided to release on fedorapeople to have a valid download link
# There are different releases for GTK3 versions in f18 and f19
URL: 		https://github.com/NiceandGently/mate-themes-extras-3
Source0:	http://raveit65.fedorapeople.org/Mate/SOURCE/%{name}-3-%{version}.tar.gz

License: 	LGPLv2 and GPLv2
Group: 		User Interface/Desktops
BuildArch: 	noarch

Requires: 	gtk-xfce-engine
Requires: 	gtk-murrine-engine
Requires: 	gtk-unico-engine
Requires: 	faience-icon-theme
Requires: 	monochrome-icon-theme
Requires: 	dmz-cursor-themes
Requires: 	adwaita-cursor-theme
Requires: 	elementary-icon-theme
Requires: 	gtk-smooth-engine
Requires:   adwaita-gtk3-theme
Requires:   mate-icon-theme
Requires:   gnome-icon-theme
Requires:   mate-themes

BuildRequires: 	gtk2-devel
BuildRequires: 	mate-common
BuildRequires:  hardlink

# for obsoleting external Repo versions f18 and f19
Obsoletes: mate-themes-extras-3 < %{version}-%{release}
Obsoletes: mate-themes-extras-4 < %{version}-%{release}

%description
The mate-themes-extras package contains a collection of GTK2/3 desktop
themes for all gtk based desktops.
These themes can change the appearance of application widgets, icons,
window borders, cursors, etc.
This package is optimized for GTK3-3.8.x for f19 and GTK3-3.6.x for f18.
Theme list: Ambiance-blue, Ambiance-lime, Blue-Submarine, Cologne,
DeLorean-Dark, Faience, Faience-Ocre, Gnome-Cupertino, Gnome-Cupertino-Mint,
GnomishBeige, Green-Submarine, RadianceBlue, Radiance-Xfce-LXDE-MATE 
Smoothly, Smoothly-Black, Zukitwo-Dust, Zukitwo-Brave, Zukitwo-Human,
Zukitwo-Illustrious, Zukitwo-Noble, Zukitwo-Wine, Zukitwo-Wise.

%prep
%setup -q -n %{name}-3-%{version}
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
	--enable-Ambiance-blue \
	--enable-Ambiance-lime \
    --enable-Blue-Submarine \
	--enable-Cologne \
    --enable-DeLorean-Dark \
	--enable-Faience \
	--enable-Faience-Ocre \
	--enable-Gnome-Cupertino \
	--enable-Gnome-Cupertino-Mint \
    --enable-GnomishBeige \
    --enable-Green-Submarine \
	--enable-RadianceBlue \
	--enable-Radiance-Xfce-LXDE-MATE \
    --enable-Smoothly \
    --enable-Smoothly-Black \
	--enable-Zukitwo-Dust \
	--enable-Zukitwo-Brave \
	--enable-Zukitwo-Colors \
	--enable-Zukitwo-Human \
	--enable-Zukitwo-Illustrious \
	--enable-Zukitwo-Noble \
	--enable-Zukitwo-Wine \
	--enable-Zukitwo-Wise

make %{?_smp_mflags}

%install
%{make_install}

# remove unecessaries non-executable-scripts to avoid rpmlint errors
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Faience-Ocre/gtk-3.0/render-assets.sh
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Faience-Ocre/gtk-3.0/render-assets-dark.sh
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Faience/gtk-3.0/render-assets.sh
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Faience/gtk-3.0/render-assets-dark.sh

# save space by linking identical images
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Ambiance-blue
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Ambiance-lime
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Blue-Submarine
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Cologne
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/DeLorean-Dark
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Gnome-Cupertino
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Gnome-Cupertino-Mint
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/GnomishBeige
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Green-Submarine
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Faience
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Faience-Ocre
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/RadianceBlue
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Radiance-Xfce-LXDE-MATE
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Smoothly
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Smoothly-Black
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Sonar
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/SonarBlue
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Colors
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Brave
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Dust
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Human
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Illustrious
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Noble
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Wine
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Wise


%files
%doc AUTHORS COPYING README ChangeLog LICENSE
%{_datadir}/themes/Ambiance-blue/
%{_datadir}/themes/Ambiance-lime/
%{_datadir}/themes/Blue-Submarine/
%{_datadir}/themes/Cologne/
%{_datadir}/themes/DeLorean-Dark/
%{_datadir}/themes/Faience/
%{_datadir}/themes/Faience-Ocre/
%{_datadir}/themes/Gnome-Cupertino/
%{_datadir}/themes/Gnome-Cupertino-Mint/
%{_datadir}/themes/GnomishBeige/
%{_datadir}/themes/Green-Submarine/
%{_datadir}/themes/RadianceBlue/
%{_datadir}/themes/Radiance-Xfce-LXDE-MATE/
%{_datadir}/themes/Smoothly/
%{_datadir}/themes/Smoothly-Black/
%{_datadir}/themes/Zukitwo-Colors/
%{_datadir}/themes/Zukitwo-Brave/
%{_datadir}/themes/Zukitwo-Dust/
%{_datadir}/themes/Zukitwo-Human/
%{_datadir}/themes/Zukitwo-Illustrious/
%{_datadir}/themes/Zukitwo-Noble/
%{_datadir}/themes/Zukitwo-Wine/
%{_datadir}/themes/Zukitwo-Wise/


%changelog
* Wed Sep 11 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.4-1
- update to 1.6.4
- switch to faience instead of faenza icon theme
- remove runtime require humanity-icon-theme
- add runtime require mate-icon-theme and gnome-icon-theme

* Fri Aug 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.6.3-1
- initial for fedora
- using 1.6.3 upstream source for f18
